glab(1)

NAME
glab-job-artifact - Download all artifacts from the most recent pipeline.

SYNOPSIS
glab job artifact [flags]

DESCRIPTION
Downloads all artifacts from the most recent successful pipeline.

<refName> is a branch name, tag, or merge request reference. For a branch or tag, use the name directly. For a merge request pipeline, use the ref refs/merge-requests/<iid>/head, where <iid> is the merge request IID.

OPTIONS
-l, --list-paths[=false]
    Print the paths of downloaded artifacts.

-p, --path="./"
    Path to download the artifact files.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    glab job artifact main build
    glab job artifact main deploy --path="artifacts/"
    glab job artifact main deploy --list-paths
    glab job artifact refs/merge-requests/123/head build

SEE ALSO
glab-job(1)